Printago API
POST
/v1/maintenance/items
Create maintenance item
Create a new maintenance item
Request Body
MaintenanceItemInsert
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequirednullable
string
triggerTyperequired
"print_hours" | "calendar_days" | "job_count"
print_hourscalendar_daysjob_count
warningThresholdPctrequired
number
Example Request
application/json
{
"name": "string",
"customMetadata": {},
"triggerType": "print_hours",
"interval": 1,
"warningThresholdPct": 1,
"notes": "string",
"isSystemDefault": true
}
Response Schema
MaintenanceItem
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequirednullable
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
triggerTyperequired
"print_hours" | "calendar_days" | "job_count"
print_hourscalendar_daysjob_count
updatedAtrequired
string
format: date-time
warningThresholdPctrequired
number
Example Response
201 OK — application/json
{
"name": "string",
"triggerType": "print_hours",
"interval": 1,
"warningThresholdPct": 1,
"notes": "string",
"isSystemDefault": true,
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}